Subject: Re: Odd mount and path problem
From: Sylvain Petreolle <[email-masked]>
To: "Larry V. Streepy, Jr." <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Jul 2002 21:37:20 +0200 (CEST)

If you don't specify a dos drive, \cygwin\bin will be relative to the
curent dos disk drive.
so if you are in d:, \cygwin\bin\ls.exe exists.
after that you do a 'cd /c'. current dos drive becomes c:.
c:\cygwin\bin\ls.exe doesn't exist and you get 'not found'.

answer to your P.S.:
P.S. I am not using the normal installation settings where /cygwin is 
mounted as / since I have a lot of other directories at the top of my D

drive that I want to access from within cygwin

all drives can be accessed by 'cd /cygdrive/x' when x is the letter of
the dos drive. so the following mountpoints is incorrect:
C: on /c type system (binmode)
should be
c: on /cygdrive/c type system (binmode)

does that answer all your questions ?

___________________________________________________________
Do You Yahoo!? -- Une adresse @yahoo.fr gratuite et en français !
Yahoo! Mail : http://fr.mail.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/